Hooks:PostHook(CharacterTweakData, "init", "vrc_init", function (self)
	-- You can name the preset whatever you want, just make sure the logic/action variants in PredatorLogicAttack and PredatorActionShoot are named the same
	self.predator = deep_clone(self.gangster)

	-- Tips for setting up Predator character preset and removing their movement slowdowns:
	-- Disable their suppression by setting `suppression = nil` in their character preset, this will prevent them from crouching when suppressed
	-- Set `no_run_start = true` and `no_run_stop = true` to disable their start and stop running animations
	-- Set `damage.hurt_severity` to something that excludes heavy or medium hurts
	self.predator.suppression = nil
	self.predator.no_run_start = true
	self.predator.no_run_stop = true
	self.predator.damage.hurt_severity = self.presets.hurt_severities.no_hurts
	self.predator.move_speed = self.presets.move_speed.lightning
	self.predator.can_be_tased = false

	-- Used throwable needs to be loaded, molotov is loaded by default but other throwables might need loading through dynamicresourcemanager
	-- `throwable_target_verified` is custom behaviour and works as follows:
	--     true  - throws only if enemy is visible
	--     false - throws only if enemy isn't visible
	--     nil   - throws regardless of enemy visibility
	self.predator.throwable = "poison_gas_grenade"
	self.predator.throwable_target_verified = nil
	self.predator.throwable_cooldown = 10

	-- hp tweak
	self.predator.HEALTH_INIT = 7500
	self.predator.player_health_scaling_mul = 1.5

	self.clone = deep_clone(self.gangster)

	-- Tips for setting up Predator character preset and removing their movement slowdowns:
	-- Disable their suppression by setting `suppression = nil` in their character preset, this will prevent them from crouching when suppressed
	-- Set `no_run_start = true` and `no_run_stop = true` to disable their start and stop running animations
	-- Set `damage.hurt_severity` to something that excludes heavy or medium hurts
	self.clone.suppression = nil
	self.clone.no_run_start = true
	self.clone.no_run_stop = true
	self.clone.damage.hurt_severity = self.presets.hurt_severities.no_hurts
	self.clone.move_speed = self.presets.move_speed.lightning
	self.clone.can_be_tased = true

	-- Used throwable needs to be loaded, molotov is loaded by default but other throwables might need loading through dynamicresourcemanager
	-- `throwable_target_verified` is custom behaviour and works as follows:
	--     true  - throws only if enemy is visible
	--     false - throws only if enemy isn't visible
	--     nil   - throws regardless of enemy visibility
	self.clone.throwable = "concussion" -- wpn_gre_electric
	self.clone.throwable_target_verified = true
	self.clone.throwable_cooldown = 20

	-- hp tweak
	self.clone.HEALTH_INIT = 100
end)

local character_map_orig = Hooks:GetFunction(CharacterTweakData, "character_map")
Hooks:OverrideFunction(CharacterTweakData, "character_map", function(self, ...)

	local char_map = character_map_orig(self, ...)
	char_map.vrc3 = {
		path = "units/pd2_mod_vrc/",
		list = {
			"ene_tony_boss",
			"ene_tony_clone",
			"ene_tony_sniper"
		}
	}

	return char_map
end)

Hooks:PostHook(CharacterTweakData, "_set_normal", "vrc_set_normal", function (self)
	self.predator.HEALTH_INIT = 2000
	self.clone.HEALTH_INIT = 25
end)

Hooks:PostHook(CharacterTweakData, "_set_hard", "vrc_set_hard", function (self)
	self.predator.HEALTH_INIT = 2500
	self.clone.HEALTH_INIT = 50
end)

Hooks:PostHook(CharacterTweakData, "_set_overkill", "vrc_set_overkill", function (self)
	self.predator.HEALTH_INIT = 3000
	self.clone.HEALTH_INIT = 60
end)

Hooks:PostHook(CharacterTweakData, "_set_overkill_145", "vrc_set_overkill_145", function (self)
	self.predator.HEALTH_INIT = 3500
	self.clone.HEALTH_INIT = 75
end)

Hooks:PostHook(CharacterTweakData, "_set_easy_wish", "vrc_set_easy_wish", function (self)
	self.predator.HEALTH_INIT = 4000
	self.clone.HEALTH_INIT = 100
end)

Hooks:PostHook(CharacterTweakData, "_set_overkill_290", "vrc_set_overkill_290", function (self)
	self.predator.HEALTH_INIT = 4500
	self.clone.HEALTH_INIT = 125
end)

Hooks:PostHook(CharacterTweakData, "_set_sm_wish", "vrc_set_sm_wish", function (self)
	self.predator.HEALTH_INIT = 5000
	self.clone.HEALTH_INIT = 130
end)